image: node:current-bookworm

stages:
  - deploy

deploy:
  stage: deploy
  rules:
    - if: $CI_COMMIT_TAG != null
  script:
    # install needed dependency for generating the index file
    - apt-get update -q -y && apt-get install -y jq
    # build the index file only prior to publishing
    - bash ./build-index.sh
    # publish the package; the --include-workspace-root flag is needed to include the root "package" folder as required by the FHIR package spec.
    - cd package && npm publish --include-workspace-root
